<?php
include("db.php");
mysql_query("truncate table visite_prox");

//trasferisco i prossimi appuntamenti correnti  nella nuova tabella
$result = mysql_query("
	SELECT *
	FROM visite 
	ORDER BY codice ASC
");
while($row = mysql_fetch_array($result)){
	
	$codice = substr($row['codice'],0,9);
	$nvisita = $row['nvisita'];
	
	//prossime visite da effetturare
	if($row['data_prossvisita'] <> '0000-00-00' || $nvisita > 2){
		
		if($nvisita > 2)
			$arrProx[$codice] = '';
		else
			$arrProx[$codice] = $row['idvisita'].';'.$row['codice'].';'.$row['userid'].';'.$row['data_prossvisita'].';'.$row['ora_prossvisita'];
		
	}
}

if(is_array($arrProx)){
	foreach($arrProx as $key=>$value){
		if(!empty($value)){
			$c = explode(";",$value);
			mysql_query("INSERT INTO visite_prox (idvisita,codice,userid,data,ora,mailerror) VALUES (".$c[0].",'".$c[1]."',".$c[2].",'".$c[3]."','".$c[4]."',0)");
			if(mysql_error() <> '')
				die(mysql_error());
		}
	}
}


?>